Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.71442
Category:Red Hat Local Security Checks
Title:RedHat Security Advisory RHSA-2012:1132
Summary:NOSUMMARY
Description:Description:
The remote host is missing updates announced in
advisory RHSA-2012:1132.

The IcedTea-Web project provides a Java web browser plug-in and an
implementation of Java Web Start, which is based on the Netx project. It
also contains a configuration tool for managing deployment settings for the
plug-in and Web Start implementations.

An uninitialized pointer use flaw was found in the IcedTea-Web plug-in.
Visiting a malicious web page could possibly cause a web browser using the
IcedTea-Web plug-in to crash, disclose a portion of its memory, or execute
arbitrary code. (CVE-2012-3422)

It was discovered that the IcedTea-Web plug-in incorrectly assumed all
strings received from the browser were NUL terminated. When using the
plug-in with a web browser that does not NUL terminate strings, visiting a
web page containing a Java applet could possibly cause the browser to
crash, disclose a portion of its memory, or execute arbitrary code.
(CVE-2012-3423)

Red Hat would like to thank Chamal De Silva for reporting the CVE-2012-3422
issue.

This erratum also upgrades IcedTea-Web to version 1.2.1. Refer to the NEWS
file, linked to in the References, for further information.

All IcedTea-Web users should upgrade to these updated packages, which
resolve these issues. Web browsers using the IcedTea-Web browser plug-in
must be restarted for this update to take effect.

Solution:
Please note that this update is available via
Red Hat Network. To use Red Hat Network, launch the Red
Hat Update Agent with the following command: up2date

http://rhn.redhat.com/errata/RHSA-2012-1132.html
http://icedtea.classpath.org/hg/release/icedtea-web-1.2/file/icedtea-web-1.2.1/NEWS

Risk factor : High

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2012-3422
http://security.gentoo.org/glsa/glsa-201406-32.xml
https://bugzilla.redhat.com/show_bug.cgi?id=840592
RedHat Security Advisories: RHSA-2012:1132
http://rhn.redhat.com/errata/RHSA-2012-1132.html
http://secunia.com/advisories/50089
SuSE Security Announcement: SUSE-SU-2012:0979 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2012-08/msg00003.html
SuSE Security Announcement: SUSE-SU-2013:0851 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2013-05/msg00020.html
SuSE Security Announcement: SUSE-SU-2013:1174 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2013-07/msg00013.html
SuSE Security Announcement: openSUSE-SU-2012:0981 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2012-08/msg00004.html
SuSE Security Announcement: openSUSE-SU-2012:0982 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2012-08/msg00005.html
SuSE Security Announcement: openSUSE-SU-2013:0826 (Google Search)
http://lists.opensuse.org/opensuse-updates/2013-05/msg00032.html
SuSE Security Announcement: openSUSE-SU-2013:0893 (Google Search)
http://lists.opensuse.org/opensuse-updates/2013-06/msg00030.html
SuSE Security Announcement: openSUSE-SU-2013:0966 (Google Search)
http://lists.opensuse.org/opensuse-updates/2013-06/msg00101.html
http://www.ubuntu.com/usn/USN-1521-1
Common Vulnerability Exposure (CVE) ID: CVE-2012-3423
https://bugzilla.redhat.com/show_bug.cgi?id=841345
CopyrightCopyright (c) 2012 E-Soft Inc. http://www.securityspace.com

This is only one of 99761 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.